package my.ejb;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import my.model.MyEntity;

@Stateless
public class MySimpleBean {

    @PersistenceContext
    EntityManager entityManager;
    
    public String createJpaObject() {
        
        StringBuffer message = new StringBuffer();
        
        MyEntity myEntity = new MyEntity();
        entityManager.persist(myEntity);
        
        message.append("\nCreated JPA object: " + myEntity);
        
        String uuid = myEntity.getUuid();
        if (uuid == null) {
            message.append("\nFAILURE!");
            message.append("\nExpected property 'uuid' not generated! (Please check log files!)");
        } else {
            message.append("\nSUCCESS!");
            message.append("\nProperty 'uuid' = [" + uuid + "]");
        }
        return message.toString();
    }
    
}
