package my.web;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import my.ejb.MySimpleBean;

@WebServlet(name="MyServlet", urlPatterns="/")
public class MyServlet extends HttpServlet {

    @EJB
    MySimpleBean mySimpleBean;
    
	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		PrintWriter writer = resp.getWriter();
		writer.write(new Date() + "\n");
		writer.write("Simple Glassfish JPA EntityListener Test. \n" +
				"Please inspect Glassfish log files for class loader issues.\n\n");
		try {
		    writer.write("Creating JPA Object.... ");
		    String message = mySimpleBean.createJpaObject();
		    writer.write("\n\nMessage: " + message + "\n");
		} catch (Exception exc) {
		    writer.write("\n\nException Occured: \n");
		    exc.printStackTrace(writer);
		}
	}
	
}
